#Game Mechanics
execute @e[score_RUNNING_min=1] ~ ~ ~ replaceitem entity @a slot.inventory.8 tipped_arrow 1 0 {noDrop:1b,Potion:"minecraft:water",CustomPotionEffects:[{Id:25,Amplifier:0,Duration:8,ShowParticles:0b}],HideFlags:32,display:{LocName:"Arrow"}}
gamerule defualtgamemode 2
execute @e[tag=master,score_RUNNING_min=1] ~ ~ ~ scoreboard players add @s TOKENS 1
execute @e[tag=master,score_TOKENS_min=100,score_RUNNING_min=1] ~ ~ ~ function game:tokens
give @a[score_DMKILL_min=1] minecraft:tipped_arrow 16 0 {noDrop:1b,display:{LocName:"Arrow of Nausea",Lore:[§rOnly obtainable by killing the deathmatch archer...]},CustomPotionEffects:[{Id:9,Amplifier:0,Duration:200,ShowParticles:0b},{Id:25,Amplifier:0,Duration:20,ShowParticles:0b}],HideFlags:32,Potion:"minecraft:water"}
scoreboard players set @a[score_DMKILL_min=1] DMKILL 0
scoreboard players add @a firework 1 {Inventory:[{Slot:102b,id:"minecraft:elytra"}]}
execute @a[score_firework_min=400] ~ ~ ~ function game:firework
scoreboard players add @e[tag=master,score_RUNNING_min=1] powerupspawn 1
execute @e[tag=master,score_powerupspawn_min=400] ~ ~ ~ function game:powerupspawn
execute @e[tag=powerupmarker] ~ ~1 ~ particle portal ~ ~-0.5 ~ 0.25 0 0.25 0.5 20 force
particle happyVillager 45 130.8 81 0.5 0.1 0.5 0.01 3 force
execute @e[tag=tokenmarker] ~ ~ ~ particle fireworksSpark ~ ~1 ~ 0.5 0.1 0.5 0.01 2 force
effect @a[m=2,x=45,y=131,z=81,dx=0,dy=0,dz=0] levitation 1 25
#Lobby Mechanics
entitydata @e[type=item_frame] {ItemRotation:0}
scoreboard players enable @a chaosselect
playsound minecraft:entity.endermen.teleport master @a[x=990,y=102,z=0,dx=0,dy=1,dz=0] ~ ~ ~ 10000 0.1
playsound minecraft:entity.endermen.teleport master @a[x=2000,y=100,z=-4,dx=0,dy=1,dz=0] ~ ~ ~ 10000 0.1
playsound minecraft:entity.endermen.teleport master @a[x=3,y=100,z=996,dx=0,dy=1,dz=0] ~ ~ ~ 10000 0.1
playsound minecraft:entity.endermen.teleport master @a[x=12,y=101,z=987,dx=0,dy=1,dz=0] ~ ~ ~ 10000 0.1
tp @a[x=990,y=102,z=0,dx=0,dy=1,dz=0] 2000 100 0
tp @a[x=2000,y=100,z=-4,dx=0,dy=1,dz=0] 1000 100 0
tp @a[x=3,y=100,z=996,dx=0,dy=1,dz=0] 12 101 984
tp @a[x=12,y=101,z=987,dx=0,dy=1,dz=0] 0 100 1000
scoreboard teams join LOBBY @a[team=]
particle instantSpell -1000 100 -7 0.5 0.001 0.5 0 5 force
particle instantSpell -1000 101 9 0.5 0.001 0.5 0 5 force
particle instantSpell -1008 100 0 0.5 0.001 0.5 0 5 force
particle portal 990 101 0 0.25 1 0.25 0.1 80 force
particle portal 2000 99 -4 0.25 1 0.25 0.1 80 force
particle portal 3 99 996 0.25 1 0.25 0.1 80 force
particle portal 12 100 987 0.25 1 0.25 0.1 80 force
execute @e[tag=arrowdestroy,type=armor_stand,name=master] ~ ~ ~ function repeating:arrowdestroy
execute @e[tag=explosive,type=armor_stand,name=master] ~ ~ ~ function repeating:explosivearrows
execute @e[tag=mutatorexplosive,type=armor_stand,name=master] ~ ~ ~ function repeating:explosivearrows
scoreboard players tag @a add speed {Inventory:[{id:"minecraft:feather"}]}
scoreboard players tag @a add jump {Inventory:[{id:"minecraft:rabbit_foot"}]}
effect @a[tag=speed] minecraft:speed 99999 1 true
effect @a[tag=jump] minecraft:jump_boost 99999 5 true
effect @a[tag=!speed] minecraft:speed 0 0
effect @a[tag=!jump] minecraft:jump_boost 0 0
effect @a[team=LOBBY] minecraft:weakness 99999 10 true
scoreboard players tag @a remove speed
scoreboard players tag @a remove jump
scoreboard players enable @a particle
execute @a[score_midgamespectate_min=1] ~ ~ ~ function game:midgamespectate
execute @a[score_leaveteam_min=1] ~ ~ ~ function game:leaveteam
#Particle Trails
execute @a[score_particle=1,score_particle_min=1,m=!3] ~ ~ ~ particle flame ~ ~ ~ 0.1 0.1 0.1 0.01 4 force
execute @a[score_particle=2,score_particle_min=2,m=!3] ~ ~ ~ particle portal ~ ~ ~ 0.1 0.1 0.1 0.01 10 force
execute @a[score_particle=3,score_particle_min=3,m=!3] ~ ~ ~ particle happyVillager ~ ~ ~ 0.1 0.1 0.1 0.01 2 force
execute @a[score_particle=4,score_particle_min=4,m=!3] ~ ~ ~ particle note ~ ~ ~ 0.1 0.1 0.1 3 1 force
#Jragon's noDrop
scoreboard players tag @e[type=Item,tag=!game] add noDrop {Item:{tag:{noDrop:1b}}}
execute @e[tag=noDrop,type=Item] ~ ~ ~ tp @e[type=Item,dx=0] @p
entitydata @e[tag=noDrop] {PickupDelay:0}
#Timers
execute @e[tag=master,score_RUNNING_min=1,score_RUNNING=1] ~ ~ ~ scoreboard players add @s TIMER 1
execute @e[tag=master,score_TIMER_min=6000] ~ ~ ~ setblock -5 4 3 redstone_block
execute @e[tag=master,tag=starting] ~ ~ ~ scoreboard players add @s countdown 1
#Team Selection
execute @a[team=!BLUE] ~ ~ ~ detect ~ ~-2 ~ white_glazed_terracotta 0 function game:teams/blueteamselect
execute @a[team=!RED] ~ ~ ~ detect ~ ~-2 ~ orange_glazed_terracotta 0 function game:teams/redteamselect
execute @a[team=!SPECTATOR] ~ ~ ~ detect ~ ~-2 ~ magenta_glazed_terracotta 0 function game:teams/spectatorteamselect
#Deathmatch Timer
execute @e[tag=master,score_TIMER_min=4800,score_TIMER=4800] ~ ~ ~ tellraw @a[team=!LOBBY] {"text":"Deathmatch starts in 1 minute","bold":true,"color":"dark_red"}
execute @e[tag=master,score_TIMER_min=2400,score_TIMER=2400] ~ ~ ~ tellraw @a[team=!LOBBY] {"text":"Deathmatch starts in 3 minutes","bold":true,"color":"dark_red"}
execute @e[tag=master,score_TIMER_min=6000,score_TIMER=6000] ~ ~ ~ function game:deathmatch
execute @e[tag=master,score_RUNNING_min=2] ~ ~ ~ scoreboard players add @s deathmatchBot 1
execute @e[tag=master,score_deathmatchBot_min=1200] ~ ~ ~ function game:deathmatchbot 
#Falling Detect
execute @e[type=Skeleton,x=-92,y=30,z=-62,dx=280,dy=0,dz=280] ~ ~ ~ scoreboard players set @s HEIGHT 1
execute @a[x=-92,y=30,z=-62,dx=280,dy=0,dz=280] ~ ~ ~ scoreboard players set @s HEIGHT 1
execute @e[score_HEIGHT_min=1] ~ ~ ~ function game:fell
tp @a[x=950,y=0,z=-50,dx=100,dy=5,dz=100] 1000 101 0
tp @a[x=-50,y=0,z=950,dx=100,dy=5,dz=100] 0 101 1000
tp @a[x=-1050,y=0,z=-50,dx=100,dy=5,dz=100] -1000 101 0
tp @a[x=-50,y=0,z=-1050,dx=100,dy=5,dz=100] 0 101 -1000
tp @a[x=1950,y=0,z=-50,dx=100,dy=5,dz=100] 2000 101 0
#Join Detection
execute @a[tag=!registered] ~ ~ ~ function game:join
scoreboard players tag @a add registered
execute @a[score_isOffline_min=1] ~ ~ ~ function game:join
#Game Over Detect
scoreboard players tag @e[tag=master] remove blue
scoreboard players tag @e[tag=master] remove red
scoreboard players tag @e[tag=master] remove bots
scoreboard players tag @e[tag=master] remove blueANDred
scoreboard players tag @e[tag=master] remove botsANDblue
scoreboard players tag @e[tag=master] remove botsANDred
execute @a[team=BLUE,m=2] ~ ~ ~ scoreboard players tag @e[tag=master] add blue
execute @a[team=RED,m=2] ~ ~ ~ scoreboard players tag @e[tag=master] add red
execute @e[team=BOTS,tag=!dm] ~ ~ ~ scoreboard players tag @e[tag=master] add bots
execute @e[tag=master] ~ ~ ~ execute @s[tag=!blue] ~ ~ ~ scoreboard players tag @s[tag=!red] add blueANDred 
execute @e[tag=master] ~ ~ ~ execute @s[tag=!bots] ~ ~ ~ scoreboard players tag @s[tag=!red] add botsANDred 
execute @e[tag=master] ~ ~ ~ execute @s[tag=!bots] ~ ~ ~ scoreboard players tag @s[tag=!blue] add botsANDblue
#Repeating Functions
entitydata @e[type=item] {Health:99999,Item:{}}
execute @e[tag=master,score_RUNNING_min=1] ~ ~ ~ function game:gameover
execute @e[tag=master] ~ ~ ~ function repeating:countdown if @s[tag=starting]
function repeating:freezegrenades if @e[tag=master,score_RUNNING_min=1]
function game:spectator if @e[tag=master,score_RUNNING_min=1]
function repeating:invis if @e[tag=master,score_RUNNING_min=1]
function repeating:ink if @e[tag=master,score_RUNNING_min=1]
function game:maps/chaosselect if @a[score_chaosselect_min=1]